# Yahoo! UI Library

### test 3.3.0

Yahoo! UI Library > test > Coverage.Format
Search:
Filters Show Private Show Protected Show Deprecated

## `static` Class Coverage.Format

Contains specific formatting options for coverage information.

### Methods

#### JSON

`static String JSON ( coverage )`
Returns the coverage report in JSON format. This is the straight JSON representation of the native coverage report.

Parameters:
  `coverage <Object>` The coverage report object.

Returns: `String`
  A JSON-formatted string of coverage data.

#### XdebugJSON

`static String XdebugJSON ( coverage )`
Returns the coverage report in a JSON format compatible with Xdebug. See Xdebug Documentation for more information. Note: function coverage is not available in this format.

Parameters:
  `coverage <Object>` The coverage report object.

Returns: `String`
  A JSON-formatted string of coverage data.

Copyright © 2011 Yahoo! Inc. All rights reserved.